import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Regdac } from "../../domain/entities";
import { RegdacMongoModel, RegdacRawModel } from "../dtos/regdac.dto";
export declare class RegdacMongoMapper extends MongoMapper<Regdac, RegdacMongoModel> {
    constructor();
    toEntity(mongoModel: RegdacMongoModel): Regdac;
}
export declare class RegdacRawMapper extends MapperImpl<Regdac, RegdacRawModel> {
    fromEntity(entity: Regdac): RegdacRawModel;
    toEntity(rawModel: RegdacRawModel): Regdac;
}
