import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Setowner } from "../../domain/entities";
import { SetownerMongoModel, SetownerRawModel } from "../dtos/setowner.dto";
export declare class SetownerMongoMapper extends MongoMapper<Setowner, SetownerMongoModel> {
    constructor();
    toEntity(mongoModel: SetownerMongoModel): Setowner;
}
export declare class SetownerRawMapper extends MapperImpl<Setowner, SetownerRawModel> {
    fromEntity(entity: Setowner): SetownerRawModel;
    toEntity(rawModel: SetownerRawModel): Setowner;
}
