"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Regdac = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Regdac {
    owner;
    dacId;
    dacSymbol;
    title;
    refs;
    accounts;
    id;
    constructor(owner, dacId, dacSymbol, title, refs, accounts, id) {
        this.owner = owner;
        this.dacId = dacId;
        this.dacSymbol = dacSymbol;
        this.title = title;
        this.refs = refs;
        this.accounts = accounts;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            owner: this.owner,
            dacId: this.dacId,
            dacSymbol: this.dacSymbol,
            title: this.title,
            refs: this.refs,
            accounts: this.accounts,
        };
    }
    static create(owner, dacId, dacSymbol, title, refs, accounts, id, rest) {
        const entity = new Regdac(owner, dacId, dacSymbol, title, refs, accounts, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Regdac('', '', aw_antelope_1.ExtendedSymbol.getDefault(), '', [], []);
    }
}
exports.Regdac = Regdac;
