import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { ExtendedSymbolMongoModel, Pair, ExtendedSymbolRawModel } from '@alien-worlds/aw-antelope';
export type DacsMongoModel = {
    _id?: MongoDB.ObjectId;
    owner?: string;
    dac_id?: string;
    title?: string;
    symbol?: ExtendedSymbolMongoModel;
    refs?: Pair[];
    accounts?: Pair[];
    dac_state?: number;
    [key: string]: unknown;
};
export type DacsRawModel = {
    owner?: string;
    dac_id?: string;
    title?: string;
    symbol?: ExtendedSymbolRawModel;
    refs?: Pair[];
    accounts?: Pair[];
    dac_state?: number;
    [key: string]: unknown;
};
