import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Dacglobals } from "../../domain/entities";
import { DacglobalsMongoModel, DacglobalsRawModel } from "../dtos/dacglobals.dto";
export declare class DacglobalsMongoMapper extends MongoMapper<Dacglobals, DacglobalsMongoModel> {
    constructor();
    toEntity(mongoModel: DacglobalsMongoModel): Dacglobals;
}
export declare class DacglobalsRawMapper extends MapperImpl<Dacglobals, DacglobalsRawModel> {
    fromEntity(entity: Dacglobals): DacglobalsRawModel;
    toEntity(rawModel: DacglobalsRawModel): Dacglobals;
}
