"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dacs = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Dacs {
    owner;
    dacId;
    title;
    symbol;
    refs;
    accounts;
    dacState;
    id;
    constructor(owner, dacId, title, symbol, refs, accounts, dacState, id) {
        this.owner = owner;
        this.dacId = dacId;
        this.title = title;
        this.symbol = symbol;
        this.refs = refs;
        this.accounts = accounts;
        this.dacState = dacState;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            owner: this.owner,
            dacId: this.dacId,
            title: this.title,
            symbol: this.symbol,
            refs: this.refs,
            accounts: this.accounts,
            dacState: this.dacState,
        };
    }
    static create(owner, dacId, title, symbol, refs, accounts, dacState, id, rest) {
        const entity = new Dacs(owner, dacId, title, symbol, refs, accounts, dacState, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Dacs('', '', '', aw_antelope_1.ExtendedSymbol.getDefault(), [], [], 0);
    }
}
exports.Dacs = Dacs;
