import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Regaccount } from "../../domain/entities";
import { RegaccountMongoModel, RegaccountRawModel } from "../dtos/regaccount.dto";
export declare class RegaccountMongoMapper extends MongoMapper<Regaccount, RegaccountMongoModel> {
    constructor();
    toEntity(mongoModel: RegaccountMongoModel): Regaccount;
}
export declare class RegaccountRawMapper extends MapperImpl<Regaccount, RegaccountRawModel> {
    fromEntity(entity: Regaccount): RegaccountRawModel;
    toEntity(rawModel: RegaccountRawModel): Regaccount;
}
