import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Setsociallnk } from "../../domain/entities";
import { SetsociallnkMongoModel, SetsociallnkRawModel } from "../dtos/setsociallnk.dto";
export declare class SetsociallnkMongoMapper extends MongoMapper<Setsociallnk, SetsociallnkMongoModel> {
    constructor();
    toEntity(mongoModel: SetsociallnkMongoModel): Setsociallnk;
}
export declare class SetsociallnkRawMapper extends MapperImpl<Setsociallnk, SetsociallnkRawModel> {
    fromEntity(entity: Setsociallnk): SetsociallnkRawModel;
    toEntity(rawModel: SetsociallnkRawModel): Setsociallnk;
}
