import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Setsocials } from "../../domain/entities";
import { SetsocialsMongoModel, SetsocialsRawModel } from "../dtos/setsocials.dto";
export declare class SetsocialsMongoMapper extends MongoMapper<Setsocials, SetsocialsMongoModel> {
    constructor();
    toEntity(mongoModel: SetsocialsMongoModel): Setsocials;
}
export declare class SetsocialsRawMapper extends MapperImpl<Setsocials, SetsocialsRawModel> {
    fromEntity(entity: Setsocials): SetsocialsRawModel;
    toEntity(rawModel: SetsocialsRawModel): Setsocials;
}
