import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Settitle } from "../../domain/entities";
import { SettitleMongoModel, SettitleRawModel } from "../dtos/settitle.dto";
export declare class SettitleMongoMapper extends MongoMapper<Settitle, SettitleMongoModel> {
    constructor();
    toEntity(mongoModel: SettitleMongoModel): Settitle;
}
export declare class SettitleRawMapper extends MapperImpl<Settitle, SettitleRawModel> {
    fromEntity(entity: Settitle): SettitleRawModel;
    toEntity(rawModel: SettitleRawModel): Settitle;
}
