import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Unregaccount } from "../../domain/entities";
import { UnregaccountMongoModel, UnregaccountRawModel } from "../dtos/unregaccount.dto";
export declare class UnregaccountMongoMapper extends MongoMapper<Unregaccount, UnregaccountMongoModel> {
    constructor();
    toEntity(mongoModel: UnregaccountMongoModel): Unregaccount;
}
export declare class UnregaccountRawMapper extends MapperImpl<Unregaccount, UnregaccountRawModel> {
    fromEntity(entity: Unregaccount): UnregaccountRawModel;
    toEntity(rawModel: UnregaccountRawModel): Unregaccount;
}
