import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Unregdac } from "../../domain/entities";
import { UnregdacMongoModel, UnregdacRawModel } from "../dtos/unregdac.dto";
export declare class UnregdacMongoMapper extends MongoMapper<Unregdac, UnregdacMongoModel> {
    constructor();
    toEntity(mongoModel: UnregdacMongoModel): Unregdac;
}
export declare class UnregdacRawMapper extends MapperImpl<Unregdac, UnregdacRawModel> {
    fromEntity(entity: Unregdac): UnregdacRawModel;
    toEntity(rawModel: UnregdacRawModel): Unregdac;
}
