import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Unregref } from "../../domain/entities";
import { UnregrefMongoModel, UnregrefRawModel } from "../dtos/unregref.dto";
export declare class UnregrefMongoMapper extends MongoMapper<Unregref, UnregrefMongoModel> {
    constructor();
    toEntity(mongoModel: UnregrefMongoModel): Unregref;
}
export declare class UnregrefRawMapper extends MapperImpl<Unregref, UnregrefRawModel> {
    fromEntity(entity: Unregref): UnregrefRawModel;
    toEntity(rawModel: UnregrefRawModel): Unregref;
}
