"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Regaccount = void 0;
class Regaccount {
    dacId;
    account;
    type;
    id;
    constructor(dacId, account, type, id) {
        this.dacId = dacId;
        this.account = account;
        this.type = type;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            dacId: this.dacId,
            account: this.account,
            type: this.type,
        };
    }
    static create(dacId, account, type, id, rest) {
        const entity = new Regaccount(dacId, account, type, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Regaccount('', '', 0);
    }
}
exports.Regaccount = Regaccount;
