"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Settitle = void 0;
class Settitle {
    dacId;
    title;
    id;
    constructor(dacId, title, id) {
        this.dacId = dacId;
        this.title = title;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            dacId: this.dacId,
            title: this.title,
        };
    }
    static create(dacId, title, id, rest) {
        const entity = new Settitle(dacId, title, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Settitle('', '');
    }
}
exports.Settitle = Settitle;
