"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Unregref = void 0;
class Unregref {
    dacId;
    type;
    id;
    constructor(dacId, type, id) {
        this.dacId = dacId;
        this.type = type;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            dacId: this.dacId,
            type: this.type,
        };
    }
    static create(dacId, type, id, rest) {
        const entity = new Unregref(dacId, type, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Unregref('', 0);
    }
}
exports.Unregref = Unregref;
