import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Nftcache } from "../../domain/entities";
import { NftcacheMongoModel, NftcacheRawModel } from "../dtos/nftcache.dto";
export declare class NftcacheMongoMapper extends MongoMapper<Nftcache, NftcacheMongoModel> {
    constructor();
    toEntity(mongoModel: NftcacheMongoModel): Nftcache;
}
export declare class NftcacheRawMapper extends MapperImpl<Nftcache, NftcacheRawModel> {
    fromEntity(entity: Nftcache): NftcacheRawModel;
    toEntity(rawModel: NftcacheRawModel): Nftcache;
}
